Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1526039 - Tagged Datastores in chargeback storage don't work
Summary: Tagged Datastores in chargeback storage don't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.8.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.9.0
Assignee: Libor Pichler
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1510898
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-14 16:43 UTC by Satoe Imaishi
Modified: 2018-03-06 15:07 UTC (History)
9 users (show)

Fixed In Version: 5.9.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1510898
Environment:
Last Closed: 2018-03-06 15:07:31 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-12-14 16:47:03 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/6a64e476973b3fc02410137c4db3da9eb8ca2582

commit 6a64e476973b3fc02410137c4db3da9eb8ca2582
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Dec 12 11:26:05 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Dec 14 11:44:41 2017 -0500

    Merge pull request #16638 from lpichler/consider_cloud_volumes_as_datastorages
    
    Consider cloud volumes as data storages in chargeback
    (cherry picked from commit 633283e3f38e6cf2edf9210ffc8ac7d4a287135b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1526039

 app/models/chargeback_rate.rb               |  6 ++++++
 app/models/metric/chargeback_helper.rb      |  5 ++---
 app/models/mixins/assignment_mixin.rb       |  8 +++++---
 spec/models/mixins/assignment_mixin_spec.rb | 21 +++++++++++++++++++++
 4 files changed, 34 insertions(+), 6 deletions(-)

Comment 5 Nandini Chandra 2018-01-26 18:18:22 UTC
Verified in 5.9.0.17


Note You need to log in before you can comment on or make changes to this bug.